Package com.google.javascript.jscomp

# Class FunctionInformationMap.Entry.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<FunctionInformationMap.Entry.Builder>
com.google.protobuf.GeneratedMessageV3.Builder<FunctionInformationMap.Entry.Builder>
com.google.javascript.jscomp.FunctionInformationMap.Entry.Builder

All Implemented Interfaces:
  `FunctionInformationMap.EntryOrBuilder`, `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `Cloneable`

Enclosing class:
  `FunctionInformationMap.Entry`

public static final class FunctionInformationMap.Entry.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<FunctionInformationMap.Entry.Builder> implements FunctionInformationMap.EntryOrBuilder
Protobuf type `jscomp.FunctionInformationMap.Entry`

## Method Summary

Modifier and Type
Method
Description
`FunctionInformationMap.Entry.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`FunctionInformationMap.Entry`
`build()`
`FunctionInformationMap.Entry`
`buildPartial()`
`FunctionInformationMap.Entry.Builder`
`clear()`
`FunctionInformationMap.Entry.Builder`
`clearCompiledSource()`
`required string compiled_source = 8;`
`FunctionInformationMap.Entry.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`FunctionInformationMap.Entry.Builder`
`clearId()`
`required int32 id = 2;`
`FunctionInformationMap.Entry.Builder`
`clearLineNumber()`
`required int32 line_number = 4;`
`FunctionInformationMap.Entry.Builder`
`clearModuleName()`
`required string module_name = 5;`
`FunctionInformationMap.Entry.Builder`
`clearName()`
`required string name = 7;`
`FunctionInformationMap.Entry.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`FunctionInformationMap.Entry.Builder`
`clearSize()`
`required int32 size = 6;`
`FunctionInformationMap.Entry.Builder`
`clearSourceName()`
`required string source_name = 3;`
`FunctionInformationMap.Entry.Builder`
`clone()`
`String`
`getCompiledSource()`
`required string compiled_source = 8;`
`com.google.protobuf.ByteString`
`getCompiledSourceBytes()`
`required string compiled_source = 8;`
`FunctionInformationMap.Entry`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`int`
`getId()`
`required int32 id = 2;`
`int`
`getLineNumber()`
`required int32 line_number = 4;`
`String`
`getModuleName()`
`required string module_name = 5;`
`com.google.protobuf.ByteString`
`getModuleNameBytes()`
`required string module_name = 5;`
`String`
`getName()`
`required string name = 7;`
`com.google.protobuf.ByteString`
`getNameBytes()`
`required string name = 7;`
`int`
`getSize()`
`required int32 size = 6;`
`String`
`getSourceName()`
`required string source_name = 3;`
`com.google.protobuf.ByteString`
`getSourceNameBytes()`
`required string source_name = 3;`
`boolean`
`hasCompiledSource()`
`required string compiled_source = 8;`
`boolean`
`hasId()`
`required int32 id = 2;`
`boolean`
`hasLineNumber()`
`required int32 line_number = 4;`
`boolean`
`hasModuleName()`
`required string module_name = 5;`
`boolean`
`hasName()`
`required string name = 7;`
`boolean`
`hasSize()`
`required int32 size = 6;`
`boolean`
`hasSourceName()`
`required string source_name = 3;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`FunctionInformationMap.Entry.Builder`
`mergeFrom(FunctionInformationMap.Entry other)`
`FunctionInformationMap.Entry.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`FunctionInformationMap.Entry.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`final FunctionInformationMap.Entry.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`FunctionInformationMap.Entry.Builder`
`setCompiledSource(String value)`
`required string compiled_source = 8;`
`FunctionInformationMap.Entry.Builder`
`setCompiledSourceBytes(com.google.protobuf.ByteString value)`
`required string compiled_source = 8;`
`FunctionInformationMap.Entry.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`FunctionInformationMap.Entry.Builder`
`setId(int value)`
`required int32 id = 2;`
`FunctionInformationMap.Entry.Builder`
`setLineNumber(int value)`
`required int32 line_number = 4;`
`FunctionInformationMap.Entry.Builder`
`setModuleName(String value)`
`required string module_name = 5;`
`FunctionInformationMap.Entry.Builder`
`setModuleNameBytes(com.google.protobuf.ByteString value)`
`required string module_name = 5;`
`FunctionInformationMap.Entry.Builder`
`setName(String value)`
`required string name = 7;`
`FunctionInformationMap.Entry.Builder`
`setNameBytes(com.google.protobuf.ByteString value)`
`required string name = 7;`
`FunctionInformationMap.Entry.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`FunctionInformationMap.Entry.Builder`
`setSize(int value)`
`required int32 size = 6;`
`FunctionInformationMap.Entry.Builder`
`setSourceName(String value)`
`required string source_name = 3;`
`FunctionInformationMap.Entry.Builder`
`setSourceNameBytes(com.google.protobuf.ByteString value)`
`required string source_name = 3;`
`final FunctionInformationMap.Entry.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<FunctionInformationMap.Entry.Builder>`

### clear

public FunctionInformationMap.Entry.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<FunctionInformationMap.Entry.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<FunctionInformationMap.Entry.Builder>`

### getDefaultInstanceForType

public FunctionInformationMap.Entry getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public FunctionInformationMap.Entry build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public FunctionInformationMap.Entry buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public FunctionInformationMap.Entry.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<FunctionInformationMap.Entry.Builder>`

### setField

public FunctionInformationMap.Entry.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<FunctionInformationMap.Entry.Builder>`

### clearField

public FunctionInformationMap.Entry.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<FunctionInformationMap.Entry.Builder>`

### clearOneof

public FunctionInformationMap.Entry.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<FunctionInformationMap.Entry.Builder>`

### setRepeatedField

public FunctionInformationMap.Entry.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<FunctionInformationMap.Entry.Builder>`

### addRepeatedField

public FunctionInformationMap.Entry.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<FunctionInformationMap.Entry.Builder>`

### mergeFrom

public FunctionInformationMap.Entry.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<FunctionInformationMap.Entry.Builder>`

### mergeFrom

public FunctionInformationMap.Entry.Builder mergeFrom(FunctionInformationMap.Entry other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<FunctionInformationMap.Entry.Builder>`

### mergeFrom

public FunctionInformationMap.Entry.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<FunctionInformationMap.Entry.Builder>`
Throws:
  `IOException`

### hasId

public boolean hasId()
`required int32 id = 2;`

Specified by:
  `hasId` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  Whether the id field is set.

### getId

public int getId()
`required int32 id = 2;`

Specified by:
  `getId` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  The id.

### setId

public FunctionInformationMap.Entry.Builder setId(int value)
`required int32 id = 2;`

Parameters:
  `value` - The id to set.
Returns:
  This builder for chaining.

### clearId

public FunctionInformationMap.Entry.Builder clearId()
`required int32 id = 2;`

Returns:
  This builder for chaining.

### hasSourceName

public boolean hasSourceName()
`required string source_name = 3;`

Specified by:
  `hasSourceName` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  Whether the sourceName field is set.

### getSourceName

public String getSourceName()
`required string source_name = 3;`

Specified by:
  `getSourceName` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  The sourceName.

### getSourceNameBytes

public com.google.protobuf.ByteString getSourceNameBytes()
`required string source_name = 3;`

Specified by:
  `getSourceNameBytes` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  The bytes for sourceName.

### setSourceName

public FunctionInformationMap.Entry.Builder setSourceName(String value)
`required string source_name = 3;`

Parameters:
  `value` - The sourceName to set.
Returns:
  This builder for chaining.

### clearSourceName

public FunctionInformationMap.Entry.Builder clearSourceName()
`required string source_name = 3;`

Returns:
  This builder for chaining.

### setSourceNameBytes

public FunctionInformationMap.Entry.Builder setSourceNameBytes(com.google.protobuf.ByteString value)
`required string source_name = 3;`

Parameters:
  `value` - The bytes for sourceName to set.
Returns:
  This builder for chaining.

### hasLineNumber

public boolean hasLineNumber()
`required int32 line_number = 4;`

Specified by:
  `hasLineNumber` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  Whether the lineNumber field is set.

### getLineNumber

public int getLineNumber()
`required int32 line_number = 4;`

Specified by:
  `getLineNumber` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  The lineNumber.

### setLineNumber

public FunctionInformationMap.Entry.Builder setLineNumber(int value)
`required int32 line_number = 4;`

Parameters:
  `value` - The lineNumber to set.
Returns:
  This builder for chaining.

### clearLineNumber

public FunctionInformationMap.Entry.Builder clearLineNumber()
`required int32 line_number = 4;`

Returns:
  This builder for chaining.

### hasModuleName

public boolean hasModuleName()
`required string module_name = 5;`

Specified by:
  `hasModuleName` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  Whether the moduleName field is set.

### getModuleName

public String getModuleName()
`required string module_name = 5;`

Specified by:
  `getModuleName` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  The moduleName.

### getModuleNameBytes

public com.google.protobuf.ByteString getModuleNameBytes()
`required string module_name = 5;`

Specified by:
  `getModuleNameBytes` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  The bytes for moduleName.

### setModuleName

public FunctionInformationMap.Entry.Builder setModuleName(String value)
`required string module_name = 5;`

Parameters:
  `value` - The moduleName to set.
Returns:
  This builder for chaining.

### clearModuleName

public FunctionInformationMap.Entry.Builder clearModuleName()
`required string module_name = 5;`

Returns:
  This builder for chaining.

### setModuleNameBytes

public FunctionInformationMap.Entry.Builder setModuleNameBytes(com.google.protobuf.ByteString value)
`required string module_name = 5;`

Parameters:
  `value` - The bytes for moduleName to set.
Returns:
  This builder for chaining.

### hasSize

public boolean hasSize()
`required int32 size = 6;`

Specified by:
  `hasSize` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  Whether the size field is set.

### getSize

public int getSize()
`required int32 size = 6;`

Specified by:
  `getSize` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  The size.

### setSize

public FunctionInformationMap.Entry.Builder setSize(int value)
`required int32 size = 6;`

Parameters:
  `value` - The size to set.
Returns:
  This builder for chaining.

### clearSize

public FunctionInformationMap.Entry.Builder clearSize()
`required int32 size = 6;`

Returns:
  This builder for chaining.

### hasName

public boolean hasName()
`required string name = 7;`

Specified by:
  `hasName` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  Whether the name field is set.

### getName

public String getName()
`required string name = 7;`

Specified by:
  `getName` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  The name.

### getNameBytes

public com.google.protobuf.ByteString getNameBytes()
`required string name = 7;`

Specified by:
  `getNameBytes` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  The bytes for name.

### setName

public FunctionInformationMap.Entry.Builder setName(String value)
`required string name = 7;`

Parameters:
  `value` - The name to set.
Returns:
  This builder for chaining.

### clearName

public FunctionInformationMap.Entry.Builder clearName()
`required string name = 7;`

Returns:
  This builder for chaining.

### setNameBytes

public FunctionInformationMap.Entry.Builder setNameBytes(com.google.protobuf.ByteString value)
`required string name = 7;`

Parameters:
  `value` - The bytes for name to set.
Returns:
  This builder for chaining.

### hasCompiledSource

public boolean hasCompiledSource()
`required string compiled_source = 8;`

Specified by:
  `hasCompiledSource` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  Whether the compiledSource field is set.

### getCompiledSource

public String getCompiledSource()
`required string compiled_source = 8;`

Specified by:
  `getCompiledSource` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  The compiledSource.

### getCompiledSourceBytes

public com.google.protobuf.ByteString getCompiledSourceBytes()
`required string compiled_source = 8;`

Specified by:
  `getCompiledSourceBytes` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  The bytes for compiledSource.

### setCompiledSource

public FunctionInformationMap.Entry.Builder setCompiledSource(String value)
`required string compiled_source = 8;`

Parameters:
  `value` - The compiledSource to set.
Returns:
  This builder for chaining.

### clearCompiledSource

public FunctionInformationMap.Entry.Builder clearCompiledSource()
`required string compiled_source = 8;`

Returns:
  This builder for chaining.

### setCompiledSourceBytes

public FunctionInformationMap.Entry.Builder setCompiledSourceBytes(com.google.protobuf.ByteString value)
`required string compiled_source = 8;`

Parameters:
  `value` - The bytes for compiledSource to set.
Returns:
  This builder for chaining.

### setUnknownFields

public final FunctionInformationMap.Entry.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<FunctionInformationMap.Entry.Builder>`

### mergeUnknownFields

public final FunctionInformationMap.Entry.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<FunctionInformationMap.Entry.Builder>`